# Cloud Templates & Patterns collection #
**Contributors:** [themeisle](https://profiles.wordpress.org/themeisle)  
**Tags:** neve, templates, patterns, blocks, starter, sites, demo, content, import  
**Requires at least:** 4.7  
**Tested up to:** 6.0  
**Requires PHP:** 5.6  
**Stable tag:** trunk  
**License:** GPLv3  
**License URI:** https://www.gnu.org/licenses/gpl-3.0.en.html  

A cloud based service with 100+ templates and starter sites for Neve theme.

## Description ##

### A cloud based templates library which enables you to create or use existing ready-made website with 1-click. ###

### More than 100 Starter Sites and Templates available for the most popular page builders ###
Free and premium templates and starter sites available for top 5 page builders: Elementor, Beaver Builder, Brizy, Gutenberg, Divi and Thrive.
All templates can be previewed on [demosites.io](https://demosites.io/) and you can seamlessly import to any of your site.

### Your own private Templates Cloud [PRO] ###
Boost productivity and speed up your workflow by saving all your designs and share them automatically to all your sites in 1-click.
Check more details about this in our [documentation](https://docs.themeisle.com/article/1354-neve-template-cloud-library) guide.

The plugin is relying on the service behind api.themeisle.com for accessing the template collection list and their individual structure on import.

No account is required to access the service template collection and the privacy policy can be found [here](https://themeisle.com/privacy-policy/).

## Frequently Asked Questions ##

### Does it work with any WordPress theme? ###
Right now we are supporting only [Neve](https://wordpress.org/themes/neve/) theme

### Which starter sites and templates are free and which are not? ###
You can check the full collection on [demosites.io](https://demosites.io/)

### Can I import just one page from one starter site? ###
Yes, you can. You can either chose to import one template or the entire starter site.

## Changelog ##

##### [Version 1.1.22](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.21...v1.1.22) (2022-05-27)

Enhance compatibility with Woocommerce Starter Sites
Enhance compatibility with Mega menus import




##### [Version 1.1.21](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.20...v1.1.21) (2022-02-21)

- Remove upsell from Gutenberg tab
- Improve no template screen




##### [Version 1.1.20](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.19...v1.1.20) (2021-12-23)

- Improve upsells to better inform the possibilities from pro




##### [Version 1.1.19](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.18...v1.1.19) (2021-12-07)

- widgets import was not skipped if toggle was off
- reassign duplicated widgets to inactive widgets sidebar




##### [Version 1.1.18](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.17...v1.1.18) (2021-10-07)

* Replace add_post_meta function with update_post_meta function to avoid duplicate meta keys.




##### [Version 1.1.17](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.16...v1.1.17) (2021-08-30)

- add the capability to clean up previous import plugins and content before the next import
- fix mapping categories that are used in Gutenberg blocks




##### [Version 1.1.16](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.15...v1.1.16) (2021-08-03)

- fix missing files error




##### [Version 1.1.15](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.14...v1.1.15) (2021-08-03)

- Add filter for imported theme mods
- Fix dashboard notice on WordPress 5.8
- Fix error when refreshing the templates page with the page templates tab focused
- UX improvements




##### [Version 1.1.14](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.13...v1.1.14) (2021-07-05)

- Allow Page Templates Support




##### [Version 1.1.13](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.12...v1.1.13) (2021-05-31)

* Fix compatibility with WooCommerce specific pages on import




##### [Version 1.1.12](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.11...v1.1.12) (2021-05-17)

* Improve plugin constant definitions.




##### [Version 1.1.11](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.10...v1.1.11) (2021-05-13)

* Improve translations 
* Improve texts and descriptions




##### [Version 1.1.10](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.9...v1.1.10) (2021-05-05)

- Allow user-made templates to save metadata
- Fix Custom Layouts editor crashing
- Fix Gutenberg sync update template for non-Gutenberg templates




##### [Version 1.1.9](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.8...v1.1.9) (2021-04-29)

- [Fix] Content images not delivered from user site after import on some demos
- [Fix] Replace content links with local links on core editor demos




##### [Version 1.1.8](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.7...v1.1.8) (2021-04-29)

- Decode HTML entities in title 
- Improve Templates Cloud visibility
- Fix meta not saving properly




##### [Version 1.1.7](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.6...v1.1.7) (2021-04-12)

- Rename to Save

##### [Version 1.1.6](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.5...v1.1.6) (2021-03-16)

- Fix Onboarding failing




##### [Version 1.1.5](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.4...v1.1.5) (2021-03-16)

- Add Beaver Builder integration
- Check if the template exists before updating
- Fix infinite scroll for Elementor
- Various fixes




##### [Version 1.1.4](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.3...v1.1.4) (2021-02-22)

- fix Elementor exporter sometimes not working




##### [Version 1.1.3](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.2...v1.1.3) (2021-02-10)

- Adds support for Elementor templates upload to Template Cloud
- Adds support for single Elementor templates import
- Fixe issue with CSS variables not being properly imported when importing individual templates
- Fixes icon misalignment inside the WordPress editor
- Allow site import even if the user doesn't have permissions to install plugins if the plugins are already installed and he can activate them




##### [Version 1.1.2](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.1...v1.1.2) (2020-12-17)

* Fix rest meta fields not getting registered




##### [Version 1.1.1](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.0...v1.1.1) (2020-12-08)

- Multisite Starter Sites compatibility
- Templates Cloud block compatibility with WP 5.6




#### [Version 1.1.0](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.11...v1.1.0) (2020-11-24)

Single page templates
Cloud storage for custom-built templates




##### [Version 1.0.11](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.10...v1.0.11) (2020-10-13)

- Moved onboarding to TPC
- Fixed small layout compatibility issue with Gutenberg




##### [Version 1.0.10](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.9...v1.0.10) (2020-09-21)

* Define plugin constants and remove no longer needed ones.




##### [Version 1.0.9](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.8...v1.0.9) (2020-08-26)

* Improve ordering
* Fix notices on import




##### Version 1.0.8

* Initial production ready release







